Class ParentalControlControllerImpl
java.lang.Object
org.eblocker.server.http.server.SessionContextController
org.eblocker.server.http.controller.impl.ParentalControlControllerImpl
- All Implemented Interfaces:
ParentalControlController
public class ParentalControlControllerImpl
extends SessionContextController
implements ParentalControlController
-
Constructor Summary
ConstructorsConstructorDescriptionParentalControlControllerImpl(SessionStore sessionStore, PageContextStore pageContextStore, ParentalControlService parentalControlService, ParentalControlUsageService parentalControlUsageService, ParentalControlSearchEngineConfigService searchEngineConfigService, DeviceService deviceService) -
Method Summary
Modifier and TypeMethodDescriptionvoidaddOnlineTimeForToday(org.restexpress.Request request, org.restexpress.Response response) voiddeleteAllProfiles(org.restexpress.Request request, org.restexpress.Response response) voiddeleteProfile(org.restexpress.Request request, org.restexpress.Response response) booleangetInternetAccessStatus(org.restexpress.Request request, org.restexpress.Response response) getProfiles(org.restexpress.Request request, org.restexpress.Response response) getProfilesBeingUpdated(org.restexpress.Request request, org.restexpress.Response response) getSearchEngineConfiguration(org.restexpress.Request request, org.restexpress.Response response) getUsage(org.restexpress.Request request, org.restexpress.Response response) getUsageByUserId(org.restexpress.Request request, org.restexpress.Response response) voidisUnique(org.restexpress.Request request, org.restexpress.Response response) REST method - GET /userprofiles/uniquevoidresetBonusTimeForToday(org.restexpress.Request request, org.restexpress.Response response) voidsetContentFilter(org.restexpress.Request request, org.restexpress.Response response) voidsetInternetAccessStatus(org.restexpress.Request request, org.restexpress.Response response) voidsetMaxUsage(org.restexpress.Request request, org.restexpress.Response response) booleanstartUsage(org.restexpress.Request request, org.restexpress.Response response) voidstopUsage(org.restexpress.Request request, org.restexpress.Response response) storeNewProfile(org.restexpress.Request request, org.restexpress.Response response) updateProfile(org.restexpress.Request request, org.restexpress.Response response) Methods inherited from class org.eblocker.server.http.server.SessionContextController
getPageContext, getPageContext, getSession, isPageContextValid
-
Constructor Details
-
ParentalControlControllerImpl
@Inject public ParentalControlControllerImpl(SessionStore sessionStore, PageContextStore pageContextStore, ParentalControlService parentalControlService, ParentalControlUsageService parentalControlUsageService, ParentalControlSearchEngineConfigService searchEngineConfigService, DeviceService deviceService)
-
-
Method Details
-
storeNewProfile
public UserProfileModule storeNewProfile(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
storeNewProfilein interfaceParentalControlController
-
getProfiles
public List<UserProfileModule> getProfiles(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
getProfilesin interfaceParentalControlController
-
updateProfile
public UserProfileModule updateProfile(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
updateProfilein interfaceParentalControlController
-
deleteProfile
public void deleteProfile(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
deleteProfilein interfaceParentalControlController
-
deleteAllProfiles
public void deleteAllProfiles(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
deleteAllProfilesin interfaceParentalControlController
-
isUnique
public void isUnique(org.restexpress.Request request, org.restexpress.Response response) REST method - GET /userprofiles/unique- Specified by:
isUniquein interfaceParentalControlController
-
getProfilesBeingUpdated
public Set<Integer> getProfilesBeingUpdated(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
getProfilesBeingUpdatedin interfaceParentalControlController
-
startUsage
public boolean startUsage(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
startUsagein interfaceParentalControlController
-
stopUsage
public void stopUsage(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
stopUsagein interfaceParentalControlController
-
getUsage
- Specified by:
getUsagein interfaceParentalControlController
-
getUsageByUserId
public UsageAccount getUsageByUserId(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
getUsageByUserIdin interfaceParentalControlController
-
getSearchEngineConfiguration
public Map<String,SearchEngineConfiguration> getSearchEngineConfiguration(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
getSearchEngineConfigurationin interfaceParentalControlController
-
setMaxUsage
public void setMaxUsage(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
setMaxUsagein interfaceParentalControlController
-
setContentFilter
public void setContentFilter(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
setContentFilterin interfaceParentalControlController
-
setInternetAccessStatus
public void setInternetAccessStatus(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
setInternetAccessStatusin interfaceParentalControlController
-
getInternetAccessStatus
public boolean getInternetAccessStatus(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
getInternetAccessStatusin interfaceParentalControlController
-
addOnlineTimeForToday
public void addOnlineTimeForToday(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
addOnlineTimeForTodayin interfaceParentalControlController
-
resetBonusTimeForToday
public void resetBonusTimeForToday(org.restexpress.Request request, org.restexpress.Response response) - Specified by:
resetBonusTimeForTodayin interfaceParentalControlController
-